Package de.tudresden.sumo.objects

## Class SumoLeader

- java.lang.Object
- - de.tudresden.sumo.objects.SumoLeader

- All Implemented Interfaces:
    `SumoObject`
  Direct Known Subclasses:
    `SumoLeader`

      public class SumoLeader
      extends Object
      implements SumoObject

  Author:
    Mario Krumnow

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `double` | `dist` |
    `String` | `vehID` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SumoLeader​(String vehID, double dist)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isValid()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### vehID

          public String vehID

    - #### dist

          public double dist

  - ### Constructor Detail

    - #### SumoLeader

          public SumoLeader​(String vehID,
                            double dist)

  - ### Method Detail

    - #### isValid

          public boolean isValid()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`